



function feats = spectralPowerFeatures(x, fs)

edges = [0.5, 1.5, 5, 10, 15, 20];

[xpsd, f] = periodogram(x,[],4096,fs);

featstmp = zeros(5,3);

for kband = 1:length(edges)-1
    featstmp(kband,:) = sum(xpsd( (f>=edges(kband)) & (f<edges(kband+1)), :),1);
end
feats = featstmp(:);